%global giturl  https://gitlab.com/ecodis/exhale

Name:    exhale
Summary: ecodis extended high-efficiency and low-complexity encoder
Epoch:   1
Version: 1.1.6
Release: 1%{?dist}
License: GPLv2+
URL:     https://gitlab.com/ecodis/exhale
Source0: %{giturl}/-/archive/v%{version}/%{name}-v%{version}.tar.gz


BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: ninja-build

%description
exhale, which is an acronym for "Ecodis eXtended High-efficiency And
Low-complexity Encoder", is a lightweight library and application to
encode uncompressed WAVE-format audio files into MPEG-4-format files
complying with the ISO/IEC 23003-3 (MPEG-D) Unified Speech and Audio
Coding (USAC, also known as Extended High-Efficiency AAC) standard.

%prep
%setup -q -n %{name}-v%{version} -c
mv %{name}-v%{version} build

%build
export LDFLAGS="%{?__global_ldflags} -pthread"

pushd build
%cmake3 -GNinja
%cmake3_build
popd

%install
pushd build
%cmake3_install
popd

%files
%{_bindir}/exhale
%{_libdir}/libexhale.so

